segunda-feira, 30 de janeiro de 2012

Links para o .NET

O Windows 7 possui o .NET 3.5 nativamente. Não é necessário instalar nada. Se algum aplicativo, porém, precisar do .NET 4, daí sim você terá que instalar, caso o próprio aplicativo não o faça.

Até o instalador do .NET 3.5, ele instalava as versões anteriores, 3.0 e 2.0 (mas não a 1.1, que é muito velha).

Contudo, o instalador do .NET 4 não instala as versões anteriores. Tanto o download normal quanto o download mais popular, que é uma versão light (Client Profile), que instala apenas a versão 4 num conjunto reduzido focado em aplicativos para desktops.

Client Profile: Microsoft .NET Framework 4 Client Profile (Instalador Autônomo)
Completo: Microsoft .NET Framework 4 (Instalador Autônomo)

Quem precisar instalar o .NET 3.5 no Windows XP, notará que mesmo o instalador autônomo usa a internet. Descobri que tem a ver com a internacionalização e com o download de atualizações. Se você chamar o instalador dele com as opções /lang:ENU /nopatch ele não usa a internet.

Ver: .NET Framework 3.5 Deployment Guide for Application Developers

Nenhum comentário:

Postar um comentário